
Ruby - Bug #6900

execinfo ライブラリ（およびそのヘッダ）の探索に --with-opt-dir の指定が利かない

08/21/2012 12:10 PM - metanest (Makoto Kishimoto)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.0.0dev (2012-09-27 trunk 37039)

[x86_64-freebsd9]

Backport:  

Description

手元の FreeBSD の環境で execinfo ライブラリは ports で入っていて、

たとえば execinfo.h は /usr/local/include にあるのですが、

--with-opt-dir=/usr/local と指定していても、

checking execinfo.h usability... no

checking execinfo.h presence... no

checking for execinfo.h... no

のようになります。

configure 実行時の環境変数で CPPFLAGS=-I/usr/local/include などのように

明示的に指定してやれば yes にすることはできますが、--with-opt-dir で

設定できてほしいと思います。

Associated revisions

Revision ea16237c614f9261cedad243b311c0c76466aaef - 08/23/2012 01:50 AM - naruse (Yui NARUSE)

configure.in: use the value of --with-opt-dir on building ruby

itself. [ruby-dev:46064] [Bug #6900]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@36788 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ea16237c - 08/23/2012 01:50 AM - naruse (Yui NARUSE)

configure.in: use the value of --with-opt-dir on building ruby

itself. [ruby-dev:46064] [Bug #6900]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@36788 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/23/2012 10:50 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r36788.

Makoto, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

configure.in: use the value of --with-opt-dir on building ruby

itself. [ruby-dev:46064] [Bug #6900]

#2 - 09/27/2012 07:27 PM - knu (Akinori MUSHA)

- File opt-dir_DLDFLAGS.diff added

- Status changed from Closed to Open

- ruby -v changed from ruby 2.0.0dev (2012-08-18 trunk 36726) [x86_64-freebsd8.3] to ruby 2.0.0dev (2012-09-27 trunk 37039) [x86_64-freebsd9]
手元のFreeBSD 9.1-PRERELEASE/amd64環境では、 --with-opt-dir=/usr/local を付けてもLIBRUBY_SOのビルドでこけます。

(...)

linking shared-library libruby.so.20

/usr/bin/ld: cannot find -lexecinfo

DLDFLAGSも手当てが必要と思いますがどうでしょう。

#3 - 09/30/2012 09:38 PM - naruse (Yui NARUSE)

knu (Akinori MUSHA) wrote:

手元のFreeBSD 9.1-PRERELEASE/amd64環境では、 --with-opt-dir=/usr/local を付けてもLIBRUBY_SOのビルドでこけます。

(...)

linking shared-library libruby.so.20

/usr/bin/ld: cannot find -lexecinfo

DLDFLAGSも手当てが必要と思いますがどうでしょう。

 なるほど、コミットしてください

#4 - 10/02/2012 01:17 PM - knu (Akinori MUSHA)

- Status changed from Open to Closed

Fix committed in r37062.

Files

opt-dir_DLDFLAGS.diff 1.05 KB 09/27/2012 knu (Akinori MUSHA)
